Package org.eclipse.emf.cdo.transfer

# Enum Class CDOTransferMapping.Status

java.lang.Object
java.lang.Enum<CDOTransferMapping.Status>
org.eclipse.emf.cdo.transfer.CDOTransferMapping.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOTransferMapping.Status>`, `Constable`

Enclosing interface:
  CDOTransferMapping

public static enum CDOTransferMapping.Status extends Enum<CDOTransferMapping.Status>
Enumerates the possibles values of `CDOTransferMapping.getStatus()`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONFLICT`
`MERGE`
`NEW`

## Method Summary

Modifier and Type
Method
Description
`static CDOTransferMapping.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOTransferMapping.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NEW

public static final CDOTransferMapping.Status NEW

### MERGE

public static final CDOTransferMapping.Status MERGE

### CONFLICT

public static final CDOTransferMapping.Status CONFLICT

## Method Details

### values

public static CDOTransferMapping.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOTransferMapping.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null